Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
Histogram Class Reference

Histogram plot. More...

`#include <ACG/QwtWidgets/QwtHistogramm.hh>`

Inheritance diagram for Histogram:

## Public Types
enum | HistogramAttribute { Auto = 0, Xfy = 1 }

## Public Member Functions
| Histogram (const QString &title=QString::null)
| Constructor.
| Histogram (const QwtText &title)
| Constructor.
virtual | ~Histogram ()
| Destructor.
void | setData (QwtIntervalSeriesData *data)
| set data to render More...
const QwtIntervalSeriesData * | data () const
void | setColors (std::vector< QColor > &_colors)
| Set colors. More...
virtual QRectF | boundingRect () const
| Function hat will return the datas bounding rectangle (for rendering)
virtual int | rtti () const
virtual void | draw (QPainter *, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &) const
| The actual draw function, drawing the bars inside the plot widget.
void | setBaseline (double reference)
double | baseline () const
void | setHistogramAttribute (HistogramAttribute, bool on=true)
bool | testHistogramAttribute (HistogramAttribute) const

## Protected Member Functions
virtual void | drawBar (QPainter *, Qt::Orientation o, const QRect &) const
| Draws a single bar.

## Private Member Functions
QColor | color (uint i) const
void | init ()

## Private Attributes
PrivateData * | d_data

## Detailed Description

Histogram plot.

This plot can be used to render a plot. It provides the plot management and drawing functions for histograms. The data is supplied as QwtIntervalData via HistogramItem::setData(). Additionally you can set colors for each bar, which are provided via HistogramItem::setColors()

Definition at line 69 of file QwtHistogramm.hh.

## Member Function Documentation

void Histogram::setColors | ( | std::vector< QColor > & | _colors | ) |

Set colors.

Parameters

  _colors | A vector of colors. One for each interval in the same order.

void Histogram::setData | ( | QwtIntervalSeriesData * | data | ) |

set data to render

Parameters

  data | data provided as QwtIntervalData

The documentation for this class was generated from the following file:

- ACG/QwtWidgets/QwtHistogramm.hh